For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profiles

Get a paginated list of profiles

post
Body
idsinteger[] · max: 500Optional
addressesstring[] · max: 500Optional

Ethereum address (0x-prefixed, 20 bytes)

archivedbooleanOptionalDefault: false
sortFieldstring · enumOptionalDefault: createdAtPossible values:
sortDirectionstring · enumOptionalDefault: descPossible values:
inviteFilterstring · enumOptionalPossible values:
limitinteger · max: 500OptionalDefault: 50
offsetinteger · max: 2147483647OptionalDefault: 0
Responses
200

Successful response

application/json
totalnumberRequired
limitnumberRequired
offsetnumberRequired
post/profiles
POST /api/v2/profiles HTTP/1.1
Host: api.ethos.network
Content-Type: application/json
Accept: */*
Content-Length: 146

{
  "ids": [
    1
  ],
  "addresses": [
    "text"
  ],
  "archived": false,
  "sortField": "createdAt",
  "sortDirection": "desc",
  "inviteFilter": "hasInvites",
  "limit": 50,
  "offset": 0
}
{
  "values": [
    {
      "profile": {
        "id": 1,
        "archived": true,
        "createdAt": 1,
        "updatedAt": 1,
        "invitesAvailable": 1,
        "invitedBy": 1
      },
      "user": {
        "id": 1,
        "profileId": 1,
        "displayName": "text",
        "username": "text",
        "avatarUrl": "https://example.com",
        "description": "text",
        "score": 1,
        "status": "ACTIVE",
        "userkeys": [
          "text"
        ],
        "xpTotal": 1,
        "xpStreakDays": 1,
        "xpRemovedDueToAbuse": true,
        "influenceFactor": 1,
        "influenceFactorPercentile": 1,
        "humanVerificationStatus": "REQUESTED",
        "validatorNftCount": 1,
        "meowMeowsNftCount": 1,
        "links": {
          "profile": "https://example.com",
          "scoreBreakdown": "https://example.com"
        },
        "stats": {
          "holdingsWei": 1,
          "review": {
            "received": {
              "negative": 1,
              "neutral": 1,
              "positive": 1
            }
          },
          "vouch": {
            "given": {
              "amountWeiTotal": 1,
              "count": 1
            },
            "received": {
              "amountWeiTotal": 1,
              "count": 1
            }
          },
          "vouchTotals": [
            {
              "balance": {
                "given": 1,
                "received": 1
              },
              "count": {
                "given": 1,
                "received": 1
              },
              "token": {
                "address": "text",
                "decimals": 1,
                "id": "eth"
              }
            }
          ],
          "whufGuarantee": {
            "asOf": "text",
            "expiresAt": "text",
            "guaranteedWei": 1,
            "status": "active"
          }
        }
      },
      "inviterUser": {
        "id": 1,
        "profileId": 1,
        "displayName": "text",
        "username": "text",
        "avatarUrl": "https://example.com",
        "description": "text",
        "score": 1,
        "status": "ACTIVE",
        "userkeys": [
          "text"
        ],
        "xpTotal": 1,
        "xpStreakDays": 1,
        "xpRemovedDueToAbuse": true,
        "influenceFactor": 1,
        "influenceFactorPercentile": 1,
        "humanVerificationStatus": "REQUESTED",
        "validatorNftCount": 1,
        "meowMeowsNftCount": 1,
        "links": {
          "profile": "https://example.com",
          "scoreBreakdown": "https://example.com"
        },
        "stats": {
          "holdingsWei": 1,
          "review": {
            "received": {
              "negative": 1,
              "neutral": 1,
              "positive": 1
            }
          },
          "vouch": {
            "given": {
              "amountWeiTotal": 1,
              "count": 1
            },
            "received": {
              "amountWeiTotal": 1,
              "count": 1
            }
          },
          "vouchTotals": [
            {
              "balance": {
                "given": 1,
                "received": 1
              },
              "count": {
                "given": 1,
                "received": 1
              },
              "token": {
                "address": "text",
                "decimals": 1,
                "id": "eth"
              }
            }
          ],
          "whufGuarantee": {
            "asOf": "text",
            "expiresAt": "text",
            "guaranteedWei": 1,
            "status": "active"
          }
        }
      }
    }
  ],
  "total": 1,
  "limit": 1,
  "offset": 1
}

Get recently created profiles

get
Query parameters
limitinteger · max: 500OptionalDefault: 50
offsetinteger · max: 2147483647OptionalDefault: 0
Responses
200

Successful response

application/json
totalnumberRequired
limitnumberRequired
offsetnumberRequired
get/profiles/recent
GET /api/v2/profiles/recent HTTP/1.1
Host: api.ethos.network
Accept: */*
{
  "values": [
    {
      "profile": {
        "id": 1,
        "archived": true,
        "createdAt": 1,
        "updatedAt": 1,
        "invitesAvailable": 1,
        "invitedBy": 1
      },
      "user": {
        "id": 1,
        "profileId": 1,
        "displayName": "text",
        "username": "text",
        "avatarUrl": "https://example.com",
        "description": "text",
        "score": 1,
        "status": "ACTIVE",
        "userkeys": [
          "text"
        ],
        "xpTotal": 1,
        "xpStreakDays": 1,
        "xpRemovedDueToAbuse": true,
        "influenceFactor": 1,
        "influenceFactorPercentile": 1,
        "humanVerificationStatus": "REQUESTED",
        "validatorNftCount": 1,
        "meowMeowsNftCount": 1,
        "links": {
          "profile": "https://example.com",
          "scoreBreakdown": "https://example.com"
        },
        "stats": {
          "holdingsWei": 1,
          "review": {
            "received": {
              "negative": 1,
              "neutral": 1,
              "positive": 1
            }
          },
          "vouch": {
            "given": {
              "amountWeiTotal": 1,
              "count": 1
            },
            "received": {
              "amountWeiTotal": 1,
              "count": 1
            }
          },
          "vouchTotals": [
            {
              "balance": {
                "given": 1,
                "received": 1
              },
              "count": {
                "given": 1,
                "received": 1
              },
              "token": {
                "address": "text",
                "decimals": 1,
                "id": "eth"
              }
            }
          ],
          "whufGuarantee": {
            "asOf": "text",
            "expiresAt": "text",
            "guaranteedWei": 1,
            "status": "active"
          }
        }
      },
      "inviterUser": {
        "id": 1,
        "profileId": 1,
        "displayName": "text",
        "username": "text",
        "avatarUrl": "https://example.com",
        "description": "text",
        "score": 1,
        "status": "ACTIVE",
        "userkeys": [
          "text"
        ],
        "xpTotal": 1,
        "xpStreakDays": 1,
        "xpRemovedDueToAbuse": true,
        "influenceFactor": 1,
        "influenceFactorPercentile": 1,
        "humanVerificationStatus": "REQUESTED",
        "validatorNftCount": 1,
        "meowMeowsNftCount": 1,
        "links": {
          "profile": "https://example.com",
          "scoreBreakdown": "https://example.com"
        },
        "stats": {
          "holdingsWei": 1,
          "review": {
            "received": {
              "negative": 1,
              "neutral": 1,
              "positive": 1
            }
          },
          "vouch": {
            "given": {
              "amountWeiTotal": 1,
              "count": 1
            },
            "received": {
              "amountWeiTotal": 1,
              "count": 1
            }
          },
          "vouchTotals": [
            {
              "balance": {
                "given": 1,
                "received": 1
              },
              "count": {
                "given": 1,
                "received": 1
              },
              "token": {
                "address": "text",
                "decimals": 1,
                "id": "eth"
              }
            }
          ],
          "whufGuarantee": {
            "asOf": "text",
            "expiresAt": "text",
            "guaranteedWei": 1,
            "status": "active"
          }
        }
      }
    }
  ],
  "total": 1,
  "limit": 1,
  "offset": 1
}

Get profiles stats

get
Responses
200

Successful response

application/json
activeProfilesnumberRequired
invitesAvailablenumberRequired
get/profiles/stats
GET /api/v2/profiles/stats HTTP/1.1
Host: api.ethos.network
Accept: */*
{
  "activeProfiles": 1,
  "invitesAvailable": 1
}

Last updated